Bug 117842 - internal compiler error: in add_builtin_candidate, at cp/call.c:2037
internal compiler error: in add_builtin_candidate, at cp/call.c:2037
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-09 02:33 EST by Walter Mundt
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 10:45:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source code resulting in error. (899.66 KB, text/plain)
2004-03-09 02:34 EST, Walter Mundt
no flags Details

  None (edit)
Description Walter Mundt 2004-03-09 02:33:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Recieved an internal compiler error cf. summary trying to compile code
(probably bad code) it work for a programming contest problem. 
Preprocessed source code is attached.


Version-Release number of selected component (if applicable):
gcc-3.3.2-1, gcc-c++-3.3.2-1

How reproducible:
Always

Steps to Reproduce:
1. Attempt to compile attacheed code
    

Actual Results:  Error message as follows:
g++ -g -DLOCAL_COMPILE    TVTower.cpp   -o TVTower
TVTower.cpp: In member function `double
TVTower::minRadius(std::vector<num,
   std::allocator<num> >, std::vector<num, std::allocator<num> >)':
TVTower.cpp:135: internal compiler error: in add_builtin_candidate, at
   cp/call.c:2037
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccwK013w.out file, please attach
this to your bugreport
make: *** [TVTower] Error 1


Expected Results:  (Probably) unsuccessful compilation with errors
related to code being compiled instead of code doing the compiling.

Additional info:
Comment 1 Walter Mundt 2004-03-09 02:34:20 EST
Created attachment 98393 [details]
Preprocessed source code resulting in error.
Comment 2 Jakub Jelinek 2004-05-27 10:45:20 EDT
http://gcc.gnu.org/PR14556

Note You need to log in before you can comment on or make changes to this bug.